Package org.springframework.security.web.server.authentication.ott

# Class ServerRedirectOneTimeTokenGenerationSuccessHandler

java.lang.Object
org.springframework.security.web.server.authentication.ott.ServerRedirectOneTimeTokenGenerationSuccessHandler

All Implemented Interfaces:
  `ServerOneTimeTokenGenerationSuccessHandler`

public final class ServerRedirectOneTimeTokenGenerationSuccessHandler extends Object implements ServerOneTimeTokenGenerationSuccessHandler
A `ServerOneTimeTokenGenerationSuccessHandler` that performs a redirect to a specific location

Since:
  6.4

## Constructor Summary

Constructors
Constructor
Description
`ServerRedirectOneTimeTokenGenerationSuccessHandler(String redirectUri)`

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
`handle(org.springframework.web.server.ServerWebExchange exchange, org.springframework.security.authentication.ott.OneTimeToken oneTimeToken)`
Handles generated one-time tokens

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ServerRedirectOneTimeTokenGenerationSuccessHandler

public ServerRedirectOneTimeTokenGenerationSuccessHandler(String redirectUri)

## Method Details

### handle

public reactor.core.publisher.Mono<Void> handle(org.springframework.web.server.ServerWebExchange exchange, org.springframework.security.authentication.ott.OneTimeToken oneTimeToken)
Description copied from interface: `ServerOneTimeTokenGenerationSuccessHandler`
Handles generated one-time tokens

Specified by:
  `handle` in interface `ServerOneTimeTokenGenerationSuccessHandler`
Parameters:
  `exchange` - the `ServerWebExchange` to use
  `oneTimeToken` - the `OneTimeToken` to handle
Returns:
  a completion handling (success or error)